Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class HttpDigestCredential

    java.lang.Object

      |

      +--oracle.ifs.common.HttpDigestCredential

All Implemented Interfaces:
  Credential, java.io.Serializable

public class HttpDigestCredential
extends java.lang.Object
implements Credential

A HttpDigestCredential encapsulates a name, challenge, and response for presentation to a CredentialManager to authenticate a user.

See Also:
  Serialized Form

Field Summary
`static int` | `HTTPDIGESTCREDENTIALTYPE_RFC2069` Indicates that the credential is RFC 2069 type.
`static int` | `HTTPDIGESTCREDENTIALTYPE_RFC2617` Indicates that the credential is RFC 2617 type.

Constructor Summary
`HttpDigestCredential()` Constructs a HttpDigestCredential.
`HttpDigestCredential(java.lang.String name, java.lang.String challenge, java.lang.String response, java.lang.String realm, java.lang.String uri, java.lang.String method)` Constructs a HttpDigestCredential.
`HttpDigestCredential(java.lang.String name, java.lang.String challenge, java.lang.String response, java.lang.String realm, java.lang.String uri, java.lang.String method, java.lang.String qop, java.lang.String cnonce, java.lang.String nc)` Constructs a HttpDigestCredential.

Method Summary
`java.lang.String` | `getChallenge()` Gets the challenge.
`java.lang.String` | `getCnonce()` Gets the cnonce.
`java.lang.String` | `getMethod()` Gets the method.
`java.lang.String` | `getName()` Gets the name of the user.
`java.lang.String` | `getNc()` Gets the nc.
`java.lang.String` | `getQop()` Gets the qop.
`java.lang.String` | `getRealm()` Gets the realm.
`java.lang.String` | `getResponse()` Gets the response.
`int` | `getType()` Returns the type of the HttpDigestCredential.
`java.lang.String` | `getUri()` Gets the URI.
`void` | `setChallenge(java.lang.String challenge)` Sets the challenge.
`void` | `setCnonce(java.lang.String cnonce)` Sets the cnonce.
`void` | `setMethod(java.lang.String method)` Sets the Method.
`void` | `setName(java.lang.String name)` Sets the name of the user.
`void` | `setNc(java.lang.String nc)` Sets the nc.
`void` | `setQop(java.lang.String qop)` Sets the Qop.
`void` | `setRealm(java.lang.String realm)` Sets the realm.
`void` | `setResponse(java.lang.String response)` Sets the response.
`void` | `setUri(java.lang.String uri)` Sets the URI.

Field Detail

### HTTPDIGESTCREDENTIALTYPE_RFC2069

    public static final int HTTPDIGESTCREDENTIALTYPE_RFC2069

  Indicates that the credential is RFC 2069 type.

### HTTPDIGESTCREDENTIALTYPE_RFC2617

    public static final int HTTPDIGESTCREDENTIALTYPE_RFC2617

  Indicates that the credential is RFC 2617 type.

Constructor Detail

### HttpDigestCredential

    public HttpDigestCredential()
                         throws IfsException

  Constructs a HttpDigestCredential.
  Throws:
    `IfsException` - if the operation fails

### HttpDigestCredential

    public HttpDigestCredential(java.lang.String name,
                                java.lang.String challenge,
                                java.lang.String response,
                                java.lang.String realm,
                                java.lang.String uri,
                                java.lang.String method,
                                java.lang.String qop,
                                java.lang.String cnonce,
                                java.lang.String nc)
                         throws IfsException

  Constructs a HttpDigestCredential. Use this if you are using RFC 2617.
  Parameters:
    `name` - the name of the user
    `challenge` - the challenge
    `response` - the 16-byte response
    `realm` - the realm
    `uri` - the URI
    `method` - the method
    `qop` - the qop
    `cnonce` - the cnonce
    `nc` - the nc value
  Throws:
    `IfsException` - if the operation fails

### HttpDigestCredential

    public HttpDigestCredential(java.lang.String name,
                                java.lang.String challenge,
                                java.lang.String response,
                                java.lang.String realm,
                                java.lang.String uri,
                                java.lang.String method)
                         throws IfsException

  Constructs a HttpDigestCredential. Use this if you are using RFC 2069.
  Parameters:
    `name` - the name of the user
    `challenge` - the challenge
    `response` - the 16-byte response
    `realm` - the realm
    `uri` - the URI
    `method` - the method
  Throws:
    `IfsException` - if the operation fails

Method Detail

### getName

    public java.lang.String getName()
                             throws IfsException

  Gets the name of the user.
  Specified by:
    `getName` in interface `Credential`
  Returns:
    the name of the user
  Throws:
    `IfsException` - if the operation fails

### setName

    public void setName(java.lang.String name)
                 throws IfsException

  Sets the name of the user.
  Parameters:
    `name` - the name of the user
  Throws:
    `IfsException` - if the operation fails

### getChallenge

    public java.lang.String getChallenge()
                                  throws IfsException

  Gets the challenge.
  Returns:
    the challenge
  Throws:
    `IfsException` - if the operation fails

### setChallenge

    public void setChallenge(java.lang.String challenge)
                      throws IfsException

  Sets the challenge.
  Parameters:
    `challenge` - the challenge
  Throws:
    `IfsException` - if the operation fails

### getResponse

    public java.lang.String getResponse()
                                 throws IfsException

  Gets the response.
  Returns:
    the response
  Throws:
    `IfsException` - if the operation fails

### setResponse

    public void setResponse(java.lang.String response)
                     throws IfsException

  Sets the response.
  Parameters:
    `response` - 16 bytes rep as a 32 Hex string
  Throws:
    `IfsException` - if the operation fails

### getRealm

    public java.lang.String getRealm()
                              throws IfsException

  Gets the realm.
  Returns:
    the realm
  Throws:
    `IfsException` - if the operation fails

### setRealm

    public void setRealm(java.lang.String realm)
                  throws IfsException

  Sets the realm.
  Parameters:
    `realm` - the realm of the user
  Throws:
    `IfsException` - if the operation fails

### getUri

    public java.lang.String getUri()
                            throws IfsException

  Gets the URI.
  Returns:
    the uri
  Throws:
    `IfsException` - if the operation fails

### setUri

    public void setUri(java.lang.String uri)
                throws IfsException

  Sets the URI.
  Parameters:
    `uri` - the URI of the request
  Throws:
    `IfsException` - if the operation fails

### getMethod

    public java.lang.String getMethod()
                               throws IfsException

  Gets the method.
  Returns:
    the method
  Throws:
    `IfsException` - if the operation fails

### setMethod

    public void setMethod(java.lang.String method)
                   throws IfsException

  Sets the Method.
  Parameters:
    `uri` - the Method of the request
  Throws:
    `IfsException` - if the operation fails

### getQop

    public java.lang.String getQop()
                            throws IfsException

  Gets the qop.
  Returns:
    the qop
  Throws:
    `IfsException` - if the operation fails

### setQop

    public void setQop(java.lang.String qop)
                throws IfsException

  Sets the Qop.
  Parameters:
    `nonce` - the Qop of the request
  Throws:
    `IfsException` - if the operation fails

### getCnonce

    public java.lang.String getCnonce()
                               throws IfsException

  Gets the cnonce.
  Returns:
    the cnonce
  Throws:
    `IfsException` - if the operation fails

### setCnonce

    public void setCnonce(java.lang.String cnonce)
                   throws IfsException

  Sets the cnonce.
  Parameters:
    `nonce` - the cnonce of the request
  Throws:
    `IfsException` - if the operation fails

### getNc

    public java.lang.String getNc()
                           throws IfsException

  Gets the nc.
  Returns:
    the nc
  Throws:
    `IfsException` - if the operation fails

### setNc

    public void setNc(java.lang.String nc)
               throws IfsException

  Sets the nc.
  Parameters:
    `nc` - the nonce of the request
  Throws:
    `IfsException` - if the operation fails

### getType

    public int getType()

  Returns the type of the HttpDigestCredential.
  Returns:
    HTTPDIGESTCREDENTIALTYPE_RFC2069 if credential type is RFC 2069, or HTTPDIGESTCREDENTIALTYPE_RFC2617 if credential type is RFC 2617.
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD